
import 'package:braintree_flutter/model/single_payment_item.dart';

class ApplePaymentDropIn {
  String totalPrice;

  /// Currency code of the transaction.
  String currencyCode;

  /// Whether billing address information should be collected and passed.
  bool billingAddressRequired;

  String countryCode;

  List<SinglePaymentItem> items;

  ApplePaymentDropIn(
      {this.totalPrice,
      this.currencyCode,
      this.billingAddressRequired = true,
      this.countryCode,
      this.items});
}
