import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:braintree_flutter/braintree_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('braintree_flutter');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await BraintreeFlutter.platformVersion, '42');
  });
}
